Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 456042

Summary: Review Request: python-mwlib - MediaWiki conversion library for Python
Product: [Fedora] Fedora Reporter: Ian Weller <ian>
Component: Package ReviewAssignee: Ricky Zhou <rickyz>
Status: CLOSED NEXTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: fedora-jasper, fedora-package-review, notting
Target Milestone: ---Flags: rickyz: fedora-review+
dennis: fedora-cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-07-25 18:15:41 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Ian Weller 2008-07-21 07:30:38 UTC
Spec URL: http://ianweller.fedorapeople.org/SRPMS/python-mwlib/0.7.1-1/python-mwlib.spec
SRPM URL: http://ianweller.fedorapeople.org/SRPMS/python-mwlib/0.7.1-1/python-mwlib-0.7.1-1.fc9.src.rpm
Description: 
mwlib is a Python library for parsing MediaWiki articles. It is
currently aimed at developers, who have a need to somehow handle
MediaWiki articles.

Comment 2 Ricky Zhou 2008-07-23 22:02:05 UTC
Note (full review coming soon): Use
http://pypi.python.org/packages/source/m/mwlib/mwlib-%{version}.tar.gz as the
source URL (the Python Package Index has it)

Comment 3 Ricky Zhou 2008-07-24 08:28:23 UTC
Build cleanly in mock.

* rpmlint clean
* package meets naming guidelines
* uses macros consistently
* build root is ok
X license isn't completely correct, mwlib/cdb.py was taken from the spambayes
project, and should be under the Python license (include both in the license tag
and add a comment explaining it)
* Requires/BuildRequires are OK
X The %check section currently doesn't run the tests.  I don't see any docs on
how to run them (and there's a chance that it might require py.test, which isn't
in Fedora), so it might be best to kill the section entirely.
* Installs/uninstalls fine
* Permissions are fine

APPROVED (just fix the above issues)

Comment 4 Ian Weller 2008-07-25 06:38:04 UTC
new source URL uses different install technique, so marking for re-review. will
have a new one up soonish.

Comment 5 Ian Weller 2008-07-25 06:54:37 UTC
new stuff in http://ianweller.fedorapeople.org/SRPMS/python-mwlib/0.8.0-2/

Comment 6 Ricky Zhou 2008-07-25 07:33:36 UTC
* rpmlint clean
* package meets naming guidelines
* uses macros consistently
* build root is ok
* license is good
* Requires/BuildRequires are OK
* No %check section, but should be fine, as discussed above
* Installs/uninstalls fine
* Permissions are fine

APPROVED

Comment 7 Ian Weller 2008-07-25 07:39:05 UTC
New Package CVS Request
=======================
Package Name: python-mwlib
Short Description: MediaWiki conversion library for Python
Owners: ianweller, pfrields
Branches: F-8 F-9
InitialCC: 
Cvsextras Commits: yes


Comment 8 Kevin Fenzi 2008-07-25 16:52:18 UTC
cvs done.

Comment 9 Fedora Update System 2008-07-25 18:10:08 UTC
python-mwlib-0.8.0-2.fc8 has been submitted as an update for Fedora 8

Comment 10 Fedora Update System 2008-07-25 18:10:50 UTC
python-mwlib-0.8.0-2.fc9 has been submitted as an update for Fedora 9

Comment 11 Fedora Update System 2008-07-30 20:00:04 UTC
python-mwlib-0.8.0-2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2008-07-30 20:09:21 UTC
python-mwlib-0.8.0-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Ian Weller 2008-07-30 20:17:23 UTC
yay, I remembered to change it to NEXTRELEASE!

Comment 14 Jasper Capel 2009-03-10 09:15:52 UTC
Package Change Request
======================
Package Name: python-mwlib
New Branches: EL-5
Owners: jasper, ianweller

I contacted Ian to see if he was interested in maintaining this in EPEL-5. He's a bit busy, so I'm going to maintain this. Please add Ian as co-maintainer (is this done automagically by listing him as owner?)

Comment 15 Dennis Gilmore 2009-03-10 20:22:14 UTC
CVS Done